BeagleOperationByPartition(3)

NAME
BeagleOperationByPartition - A list of integer indices which specify a partial likelihoods operation for a partitioned analysis.

SYNOPSIS

#include <beagle.h>

  Public Attributes

int destinationPartials
int destinationScaleWrite
int destinationScaleRead
int child1Partials
int child1TransitionMatrix
int child2Partials
int child2TransitionMatrix
int partition
int cumulativeScaleIndex

Detailed Description

A list of integer indices which specify a partial likelihoods operation for a partitioned analysis.

Member Data Documentation

  int BeagleOperationByPartition::child1Partials
index of first child partials buffer

  int BeagleOperationByPartition::child1TransitionMatrix
index of transition matrix of first partials child buffer

  int BeagleOperationByPartition::child2Partials
index of second child partials buffer

  int BeagleOperationByPartition::child2TransitionMatrix
index of transition matrix of second partials child buffer

  int BeagleOperationByPartition::cumulativeScaleIndex
index number of scaleBuffer to store accumulated factors

  int BeagleOperationByPartition::destinationPartials
index of destination, or parent, partials buffer

  int BeagleOperationByPartition::destinationScaleRead
index of scaling buffer to read from (if set to BEAGLE_OP_NONE then use of existing scale factors is disabled)

  int BeagleOperationByPartition::destinationScaleWrite
index of scaling buffer to write to (if set to BEAGLE_OP_NONE then calculation of new scalers is disabled)

  int BeagleOperationByPartition::partition
index of partition

Author

Generated automatically by Doxygen for BEAGLE from the source code.